List Exclusions
curl --request GET \
--url https://api.ravan.ai/api/v1/rag/exclusions \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.ravan.ai/api/v1/rag/exclusions"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.ravan.ai/api/v1/rag/exclusions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"urls": [
"<string>"
]
}
}RAG Knowledge Base API
List Exclusions
List Exclusions.
GET
/
api
/
v1
/
rag
/
exclusions
List Exclusions
Authorizations
string
required
Your Agni API key used to authenticate the request. Pass it in the
X-Api-Key header. Find or rotate it from your Ravan AI account settings.Query Parameters
string
required
The organization ID that owns the resource. Use the organization ID from your Agni account.
string
required
The unique knowledge base ID. Use the ID returned by the knowledge base create or list endpoint.
Response
boolean
Whether the request succeeded.
string
Human-readable status message.

